From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1070261-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id CC984138334
	for <garchives@archives.gentoo.org>; Sun,  3 Feb 2019 16:52:11 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id D9CC5E08D6;
	Sun,  3 Feb 2019 16:52:09 +0000 (UTC)
Received: from smtp.gentoo.org (smtp.gentoo.org [140.211.166.183])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 9F0B8E08D6
	for <gentoo-commits@lists.gentoo.org>; Sun,  3 Feb 2019 16:52:09 +0000 (UTC)
Received: from oystercatcher.gentoo.org (unknown [IPv6:2a01:4f8:202:4333:225:90ff:fed9:fc84])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 2DC1133BDF4
	for <gentoo-commits@lists.gentoo.org>; Sun,  3 Feb 2019 16:52:08 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 5CB7452D
	for <gentoo-commits@lists.gentoo.org>; Sun,  3 Feb 2019 16:52:06 +0000 (UTC)
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Jeroen Roovers" <jer@gentoo.org>
Message-ID: <1549212723.e1c3326f84baa1e2050df2653cc37736d2a64796.jer@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/tcpreplay/
X-VCS-Repository: repo/gentoo
X-VCS-Files: net-analyzer/tcpreplay/tcpreplay-999999.ebuild
X-VCS-Directories: net-analyzer/tcpreplay/
X-VCS-Committer: jer
X-VCS-Committer-Name: Jeroen Roovers
X-VCS-Revision: e1c3326f84baa1e2050df2653cc37736d2a64796
X-VCS-Branch: master
Date: Sun,  3 Feb 2019 16:52:06 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: a70b3ab3-4a3c-4c93-8f0a-10f6c18aad4e
X-Archives-Hash: 7df6f88afa1719b5980f23d57ef8a169

commit:     e1c3326f84baa1e2050df2653cc37736d2a64796
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sun Feb  3 16:49:11 2019 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sun Feb  3 16:52:03 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1c3326f

net-analyzer/tcpreplay: Live ebuild

Package-Manager: Portage-2.3.59, Repoman-2.3.12
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-analyzer/tcpreplay/tcpreplay-999999.ebuild | 73 ++++++++++++++++++++++++++
 1 file changed, 73 insertions(+)

diff --git a/net-analyzer/tcpreplay/tcpreplay-999999.ebuild b/net-analyzer/tcpreplay/tcpreplay-999999.ebuild
new file mode 100644
index 00000000000..36c173f66f5
--- /dev/null
+++ b/net-analyzer/tcpreplay/tcpreplay-999999.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools flag-o-matic git-r3
+
+DESCRIPTION="utilities for editing and replaying previously captured network traffic"
+HOMEPAGE="http://tcpreplay.appneta.com/ https://github.com/appneta/tcpreplay"
+LICENSE="BSD GPL-3"
+EGIT_REPO_URI="https://github.com/appneta/tcpreplay"
+
+SLOT="0"
+KEYWORDS=""
+IUSE="debug pcapnav +tcpdump"
+
+DEPEND="
+	>=sys-devel/autogen-5.18.4[libopts]
+	dev-libs/libdnet
+	>=net-libs/libpcap-0.9
+	tcpdump? ( net-analyzer/tcpdump )
+	pcapnav? ( net-libs/libpcapnav )
+"
+RDEPEND="${DEPEND}"
+DOCS=(
+	docs/{CHANGELOG,CREDIT,HACKING,TODO}
+)
+PATCHES=(
+	"${FILESDIR}"/${PN}-4.3.0-enable-pcap_findalldevs.patch
+)
+
+S=${WORKDIR}/${P/_/-}
+
+src_prepare() {
+	default
+
+	sed -i \
+		-e 's|#include <dnet.h>|#include <dnet/eth.h>|g' \
+		src/common/sendpacket.c || die
+	sed -i \
+		-e 's|@\([A-Z_]*\)@|$(\1)|g' \
+		-e '/tcpliveplay_CFLAGS/s|$| $(LDNETINC)|g' \
+		-e '/tcpliveplay_LDADD/s|$| $(LDNETLIB)|g' \
+		src/Makefile.am || die
+
+	eautoreconf
+}
+
+src_configure() {
+	# By default it uses static linking. Avoid that, bug 252940
+	econf \
+		$(use_enable debug) \
+		$(use_with pcapnav pcapnav-config /usr/bin/pcapnav-config) \
+		$(use_with tcpdump tcpdump /usr/sbin/tcpdump) \
+		--disable-local-libopts \
+		--enable-dynamic-link \
+		--enable-shared \
+		--with-libdnet \
+		--with-testnic2=lo \
+		--with-testnic=lo
+}
+
+src_test() {
+	if [[ ! ${EUID} -eq 0 ]]; then
+		ewarn "Some tests will be disabled due to FEATURES=userpriv"
+		ewarn "To run all tests issue the following command as root:"
+		ewarn " # make -C ${S}/test"
+		emake -j1 -C test tcpprep || die "self test failed - see ${S}/test/test.log"
+	else
+		emake -j1 test || {
+			ewarn "Note that some tests require eth0 iface to be up." ;
+			die "self test failed - see ${S}/test/test.log" ; }
+	fi
+}